## org.hibernate.engine
Class Collections

    java.lang.Object
      org.hibernate.engine.Collections

    public final class Collections

extends Object

Implements book-keeping for the collection persistence by reachability algorithm

Author:
  Gavin King

Method Summary
`static void` `processReachableCollection(PersistentCollection collection, CollectionType type, Object entity, SessionImplementor session)` Initialize the role of the collection.
`static void` `processUnreachableCollection(PersistentCollection coll, SessionImplementor session)` record the fact that this collection was dereferenced

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### processUnreachableCollection

    public static void processUnreachableCollection(PersistentCollection coll,
                                                    SessionImplementor session)
                                             throws HibernateException

  record the fact that this collection was dereferenced

  Parameters:
    `coll` - The collection to be updated by unreachability.
  Throws:
    `HibernateException`

### processReachableCollection

    public static void processReachableCollection(PersistentCollection collection,
                                                  CollectionType type,
                                                  Object entity,
                                                  SessionImplementor session)
                                           throws HibernateException

  Initialize the role of the collection.

  Parameters:
    `collection` - The collection to be updated by reachibility.
    `type` - The type of the collection.
    `entity` - The owner of the collection.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.